"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Explained keys for summary.
 * @memberof IProvisionedInstanceVariable
 */
const pretty = {
    "name": "Name",
    "value": "Value",
    "visibility": "Visibility",
    "update-registry": "Update Registry"
};
/**
 * Main explanation map object for the output of provisioned instance variables.
 * @type IExplanationMap, @see {IExplanationMap}
 * @memberof IProvisionedInstanceVariable
 */
exports.explainProvisionedInstanceVariable = Object.assign(Object.assign({}, pretty), { explainedParentKey: "Variables", ignoredKeys: null });
/**
 * Main explanation map object for provisioned instance prompt variables output.
 * @type IExplanationMap, @see {IExplanationMap}
 * @memberof IProvisionedInstanceVariable
 */
exports.explainPromptVariable = Object.assign(Object.assign({}, pretty), { explainedParentKey: "Prompt Variables", ignoredKeys: null });
/**
 * Main explanation map object for create provisioned instance variables.
 * @type IExplanationMap, @see {IExplanationMap}
 * @memberof IProvisionedInstanceVariable
 */
exports.explainAtCreateVariable = Object.assign(Object.assign({}, pretty), { explainedParentKey: "At Create Variables", ignoredKeys: null });
//# sourceMappingURL=IProvisionedInstanceVariable.js.map