"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
const IPromptVariable_1 = require("./IPromptVariable");
/**
 * Explained keys for summary
 * @memberof IPublishedTemplateInfo
 */
const prettySummary = {
    "name": "Template Name",
    "version": "Version",
    "owner": "Owner",
    "state": "State",
    "description": "Description",
    "generated-name": "Generated Name",
    "object-id": "Object Id"
};
/**
 * Explained keys for all-info
 * @memberof IPublishedTemplateInfo
 */
const prettyFull = Object.assign(Object.assign({}, prettySummary), { "domain-name": "Domain Name", "software-name": "Software Name" });
/**
 * Main explanation map object for summary output
 * @type {IExplanationMap}
 * @memberof IPublishedTemplateInfo
 */
exports.explainPublishedTemplateInfoSummary = Object.assign(Object.assign({}, prettySummary), { "prompt-variables": IPromptVariable_1.explainPromptVariableSummary, "ignoredKeys": null, "explainedParentKey": null });
/**
 * Main explanation map object for full output
 * @type {IExplanationMap}
 * @memberof IPublishedTemplateInfo
 */
exports.explainPublishedTemplateInfoFull = Object.assign(Object.assign({}, prettyFull), { "prompt-variables": IPromptVariable_1.explainPromptVariableFull, "ignoredKeys": null, "explainedParentKey": null });
//# sourceMappingURL=IPublishedTemplateInfo.js.map