import { AbstractSession } from "@zowe/imperative";
/**
 * Class to handle deletion of zOSMF workflow instance
 */
export declare class DeleteWorkflow {
    /**
     * Delete a workflow instance
     * @param {AbstractSession} session                     - z/OSMF connection info
     * @param {string} workflowKey                          - Unique identifier of the workflow instance.
     * @param {string} zOSMFVersion                         - Identifies the version of the zOSMF workflow service.
     * @returns {string}
     */
    static deleteWorkflow(session: AbstractSession, workflowKey: string, zOSMFVersion?: string): Promise<string>;
}
