/**
 * Interface for variable-specification object.
 * @export
 * @interface IVariableSpecification
 */
export interface IVariableSpecification {
    /**
     * Name of the variable.
     * @type {string}
     * @memberof IVariableSpecification
     */
    name: string;
    /**
     * Variable scope.
     * @type {string}
     * @memberof IVariableSpecification
     */
    scope: string;
    /**
     * Indicates if is variable required.
     * @type {boolean}
     * @memberof IVariableSpecification
     */
    required: boolean;
}
