"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
const AbstractHelpGeneratorFactory_1 = require("./abstract/AbstractHelpGeneratorFactory");
const DefaultHelpGenerator_1 = require("./DefaultHelpGenerator");
/**
 * The default help generator factory - always supplies the default help generator.
 * @export
 * @class HelpGeneratorFactory
 * @extends {AbstractHelpGeneratorFactory}
 */
class HelpGeneratorFactory extends AbstractHelpGeneratorFactory_1.AbstractHelpGeneratorFactory {
    /**
     * Get an instance of the help generator
     * @param {IHelpGeneratorFactoryParms} parms - See the interface for details
     * @returns {DefaultHelpGenerator}
     * @memberof HelpGeneratorFactory
     */
    getGenerator(parms) {
        return new DefaultHelpGenerator_1.DefaultHelpGenerator(this.factoryParameters, parms);
    }
}
exports.HelpGeneratorFactory = HelpGeneratorFactory;
//# sourceMappingURL=HelpGeneratorFactory.js.map