"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const globals = require("../globals");
const Profiles_1 = require("../Profiles");
const utils_1 = require("../shared/utils");
/**
 * Refreshes treeView
 *
 * @param {DataSetTree} datasetProvider
 */
function refreshAll(datasetProvider) {
    return __awaiter(this, void 0, void 0, function* () {
        yield Profiles_1.Profiles.getInstance().refresh();
        datasetProvider.mSessionNodes.forEach((sessNode) => {
            if (sessNode.contextValue === globals.DS_SESSION_CONTEXT) {
                utils_1.labelHack(sessNode);
                sessNode.children = [];
                sessNode.dirty = true;
                utils_1.refreshTree(sessNode);
            }
        });
        yield datasetProvider.refresh();
    });
}
exports.refreshAll = refreshAll;

//# sourceMappingURL=dsNodeActions.js.map
