"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
Object.defineProperty(exports, "__esModule", { value: true });
const globals = require("../globals");
// tslint:disable-next-line: no-duplicate-imports
function getProfileAndDataSetName(node) {
    let profileName;
    let dataSetName;
    if (node.contextValue.includes(globals.FAV_SUFFIX)) {
        profileName = node.label.substring(1, node.label.indexOf("]"));
        dataSetName = node.label.substring(node.label.indexOf(":") + 2);
    }
    else {
        profileName = node.getParent().getLabel();
        dataSetName = node.label.trim();
    }
    return { profileName, dataSetName };
}
exports.getProfileAndDataSetName = getProfileAndDataSetName;
function getNodeLabels(node) {
    if (node.contextValue.includes(globals.DS_MEMBER_CONTEXT)) {
        return Object.assign(Object.assign({}, getProfileAndDataSetName(node.getParent())), { memberName: node.getLabel() });
    }
    else {
        return getProfileAndDataSetName(node);
    }
}
exports.getNodeLabels = getNodeLabels;
function getDatasetLabel(node) {
    if (node.getParent() && node.getParent().contextValue === globals.FAVORITE_CONTEXT) {
        const profileEnd = "]: ";
        const profileIndex = node.label.indexOf(profileEnd);
        return node.label.substr(profileIndex + profileEnd.length, node.label.length);
    }
    return node.label;
}
exports.getDatasetLabel = getDatasetLabel;

//# sourceMappingURL=utils.js.map
