"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../index");
const globals = require("../../../globals");
const utils_1 = require("../../../shared/utils");
const icon = {
    id: index_1.IconId.documentBinary,
    type: index_1.IconHierarchyType.base,
    path: utils_1.getIconPathInResources("document-binary.svg"),
    check: (node) => {
        // TODO: Move contexts to constants file and do constructor as well
        const contexts = [globals.DS_BINARY_FILE_CONTEXT,
            globals.DS_BINARY_FILE_CONTEXT + globals.FAV_SUFFIX];
        return contexts.indexOf(node.contextValue) > -1;
    }
};
exports.default = icon;

//# sourceMappingURL=documentBinary.js.map
