"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../index");
const utils_1 = require("../../../shared/utils");
const globals = require("../../../globals");
const icon = {
    id: index_1.IconId.session,
    type: index_1.IconHierarchyType.base,
    path: utils_1.getIconPathInResources("folder-root-default-closed.svg"),
    check: (node) => {
        const contexts = [
            globals.DS_SESSION_CONTEXT,
            globals.USS_SESSION_CONTEXT,
            globals.JOBS_SESSION_CONTEXT
        ];
        return contexts.indexOf(node.contextValue) > -1;
    }
};
exports.default = icon;

//# sourceMappingURL=session.js.map
