"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../index");
const globals = require("../../../globals");
const nls = require("vscode-nls");
const localize = nls.config({ messageFormat: nls.MessageFormat.file })(__filename);
const message = {
    id: index_1.MessageCategoryId.dataset,
    type: index_1.MessageHierarchyType.generic,
    messages: {
        [index_1.MessageContentType.open]: localize(0, null),
        [index_1.MessageContentType.upload]: localize(1, null)
    },
    check: (node) => {
        const contexts = [
            globals.DS_DS_CONTEXT,
            globals.DS_DS_CONTEXT + globals.FAV_SUFFIX,
            globals.DS_PDS_CONTEXT,
            globals.DS_PDS_CONTEXT + globals.FAV_SUFFIX,
            globals.DS_MEMBER_CONTEXT,
            globals.DS_MEMBER_CONTEXT + globals.FAV_SUFFIX
        ];
        return contexts.indexOf(node.contextValue) > -1;
    }
};
exports.default = message;

//# sourceMappingURL=dataset.js.map
